### Method

# Vips Buf change

#### Declaration [src]

    gboolean
    vips_buf_change (
      VipsBuf* buf,
      const char* o,
      const char* n
    )

#### Description [src]

Swap the rightmost occurrence of `o` for `n`.

#### Parameters

`o`

  Type: `const char*`

  The string to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`n`

  Type: `const char*`

  The string to substitute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE` on overflow, `TRUE` otherwise.